﻿using System;
using System.Collections.Generic;

namespace AvaloniaApplication1.Models;

public partial class Teacher
{
    public int Id { get; set; }

    public string? Surname { get; set; }

    public string? Name { get; set; }

    public string? Patronymic { get; set; }

    public int? IdGender { get; set; }

    public DateTime? Birthdate { get; set; }

    public int? Expirience { get; set; }

    public string? Email { get; set; }

    public string? Phone { get; set; }

    public virtual Gender? IdGenderNavigation { get; set; }

    public virtual User IdNavigation { get; set; } = null!;

    public virtual ICollection<TeachersCourse> TeachersCourses { get; set; } = new List<TeachersCourse>();
}
